Inhalte

# Add-in-Funktionen, Liste der Analysefunktionen Teil 1

Die Plug-in-Funktionen werden vom Service UNO com.sun.star.sheet.addin.Analysis bereitgestellt.

So greifen Sie auf diesen Befehl zu:

Einfügen – Funktion… – Kategorie: Add-in

## BESSELI

Berechnet die modifizierte Besselfunktion der ersten Gattung In(x).

#### Syntax

BESSELI(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion In(x) angibt.

#### Beispiel

=BESSELI(3,45;4) ergibt 0,651416873060081

=BESSELI(3,45;4,333) ergibt 0,651416873060081, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELI(-1;3) ergibt -0,022168424924332

## BESSELJ

Berechnet die Besselfunktion der ersten Gattung Jn(x) (Zylinderfunktion).

#### Syntax

BESSELJ(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Jn(x) angibt.

#### Beispiel

=BESSELJ(3,45;4) ergibt 0,196772639864984

=BESSELJ(3,45;4,333) ergibt 0,196772639864984, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELJ(-1;3) ergibt -0,019563353982668

## BESSELK

Berechnet die modifizierte Besselfunktion der zweiten Gattung Kn(x).

#### Syntax

BESSELK(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Kn(x) angibt.

#### Beispiel

=BESSELK(3,45;4) ergibt 0,144803466373734

=BESSELK(3,45;4,333) ergibt 0,144803466373734, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELK(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BESSELY

Berechnet die Besselfunktion der zweiten Gattung Yn(x).

#### Syntax

BESSELY(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Yn(x) angibt.

#### Beispiel

=BESSELY(3,45;4) ergibt -0,679848116844476

=BESSELY(3,45;4,333) ergibt -0,679848116844476, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELY(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BININDEZ

Das Ergebnis ist die Zahl für die eingegebene Binärzahl (Basis 2).

#### Syntax

BININDEZ(Zahl)

Zahl ist eine Zeichenfolge, die eine Binärzahl (Basis 2) darstellt. Sie kann maximal 10 Stellen (Bits) haben. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

#### Beispiel

=BININDEZ("1100100") ergibt 100.

## BININHEX

Das Ergebnis ist die Zeichenfolge, welche die Zahl in hexadezimaler Form für die eingegebene binäre Zahlenfolge (Basis 2) darstellt.

#### Syntax

BININHEX(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Binärzahl (Basis 2) darstellt. Sie kann maximal 10 Stellen (Bits) haben. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen gibt die Anzahl der auszugebenden Stellen an.

#### Beispiel

=BININHEX("1100100";6) gibt "000064" zurück.

## BININOKT

Das Ergebnis ist die Zeichenfolge, welche die Zahl in oktaler Form für die eingegebene binäre Zahlenfolge (Basis 2) darstellt.

#### Syntax

BININOKT(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Binärzahl (Basis 2) darstellt. Sie kann maximal 10 Stellen (Bits) haben. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=BININOKT("1100100";4) gibt "0144" zurück.

## DELTA

Das Ergebnis ist WAHR (1), wenn beide Zahlen, die als Argument übergeben werden, gleich sind, sonst FALSCH (0).

#### Syntax

DELTA(Zahl 1 [; Zahl 2])

#### Beispiel

=DELTA(1;2) ergibt 0.

## DEZINBIN

Das Ergebnis ist die Zeichenfolge, welche die Zahl in binärer Form (Basis 2) für die eingegebene Zahl darstellt.

#### Syntax

DEZINBIN(Zahl [; Stellen])

Zahl ist eine Zahl zwischen -512 und 511. Wenn Zahl negativ ist, gibt die Funktion eine binäre Zahlenfolge mit 10 Zeichen zurück. Das höchstwertige Bit ist das Vorzeichenbit, die anderen 9 Bits geben den Wert zurück.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINBIN(100;8) gibt "01100100" zurück.

## DEZINHEX

Das Ergebnis ist die Zeichenfolge, welche die Zahl in hexadezimaler Form für die eingegebene Zahl darstellt.

#### Syntax

DEZINHEX(Zahl [; Stellen])

Zahl ist eine Zahl. Wenn Zahl negativ ist, gibt die Funktion eine hexadezimale Zahlenfolge mit 10 Zeichen (40 Bit) zurück. Das höchstwertige Bit ist das Vorzeichenbit, die anderen 39 Bits geben den Wert zurück.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINHEX(100;4) gibt "0064" zurück.

## DEZINOKT

Das Ergebnis ist die Zeichenfolge, welche die Zahl in oktaler Form für die eingegebene Zahl darstellt.

#### Syntax

DEZINOKT(Zahl [; Stellen])

Zahl ist eine Zahl. Wenn Zahl negativ ist, gibt die Funktion eine oktale Zahlenfolge mit 10 Zeichen (30 Bit) zurück. Das höchstwertige Bit ist das Vorzeichenbit, die anderen 29 Bits geben den Wert zurück.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINOKT(100;4) gibt "0144" zurück.

## GAUSSF.GENAU

Liefert die Werte zur Gauß'schen Fehlerfunktion zwischen 0 und gegebener Grenze.

#### Syntax

GAUSSF.GENAU(Untergrenze)

Untergrenze ist die Grenze des Integrals. Die Berechnung findet zwischen 0 und diesem Wert statt.

#### Beispiel

=GAUSSF.GENAU(1) ergibt 0,842701.

#### Technische Information

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

COM.MICROSOFT.ERF.PRECISE

## GAUSSFEHLER

Ergibt Werte der Gauß'schen Fehlerfunktion.

#### Syntax

GAUSSFEHLER(Unterer Grenzwert [; Oberer Grenzwert])

Unterer Grenzwert ist der untere Grenzwert des Integralwerts.

Oberer Grenzwert ist optional. Es handelt sich um den oberen Grenzwert des Integralwerts. Fehlt dieser Wert, erfolgt die Berechnung zwischen 0 und dem unteren Grenzwert.

#### Beispiel

=GAUSSFEHLER(0;1) ergibt 0,842701.

## GAUSSFKOMPL

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

#### Syntax

GAUSSFKOMPL(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL(1) ergibt 0,157299.

## GAUSSFKOMPL.GENAU

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

#### Syntax

GAUSSFKOMPL.GENAU(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL.GENAU(1) ergibt 0,157299.

#### Technische Information

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

COM.MICROSOFT.ERFC.PRECISE

## GGANZZAHL

Das Ergebnis ist 1, wenn Zahl größer als oder gleich groß wie Schwellenwert.

#### Syntax

GGANZZAHL(Zahl [; Schwellenwert])

#### Beispiel

=GGANZZAHL(5;1) ergibt 1.

## HEXINBIN

Das Ergebnis ist die Zeichenfolge, welche die Zahl im Binärformat (Basis 2) für die eingegebene Zeichenfolge der hexadezimalen Zahl darstellt.

#### Syntax

HEXINBIN(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Hexadezimalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEXINBIN("6a";8) gibt "01101010" zurück.

## HEXINDEZ

Das Ergebnis ist die Zahl für die eingegebene hexadezimale Zahlenzeichenfolge.

#### Syntax

HEXINDEZ(Zahl)

Zahl ist eine Zeichenfolge, die eine Hexadezimalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

#### Beispiel

=HEXINDEZ("6a") ergibt 106.

## HEXINOKT

Das Ergebnis ist die Zeichenfolge, welche die Zahl in oktaler Form für die eingegebene Zeichenfolge der Hexadezimalzahl darstellt.

#### Syntax

HEXINOKT(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Hexadezimalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEXINOKT("6a";4) gibt "0152" zurück.

Verwandte Themen

Add-in-Funktionen

Add-in-Funktionen, Liste der Analysefunktionen Teil 2

Textfunktionen

Funktionen nach Kategorie